TTF_SetFontSDF(3)

NAME
TTF_SetFontSDF - Enable Signed Distance Field rendering for a font.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetFontSDF(TTF_Font *font, bool enabled);

DESCRIPTION
SDF is a technique that helps fonts look sharp even when scaling and rotating, and requires special shader support for display.

This works with Blended APIs, and generates the raw signed distance values in the alpha channel of the resulting texture.

This updates any TTF_Text
 objects using this font, and clears already-generated glyphs, if any, from the cache.

FUNCTION PARAMETERS

font
    the font to set SDF support on.

enabled
    true to enable SDF, false to disable.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_GetFontSDF(3)